# module RSS::Atom::CommonModel

### Constants

ELEMENTS
NSPOOL

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/atom.rb, line 29
    def self.append_features(klass)
      super
      klass.install_must_call_validator("atom", URI)
      [
       ["lang", :xml],
       ["base", :xml],
      ].each do |name, uri, required|
        klass.install_get_attribute(name, uri, required, [nil, :inherit])
      end
      klass.class_eval do
        class << self
          # Returns the Atom URI W3C Namespace
          def required_uri
            URI
          end

          # Returns true
          def need_parent?
            true
          end
        end
      end
    end

need_parent?() click to toggle source

Returns true

    # File lib/rss/atom.rb, line 46
    def need_parent?
      true
    end

required_uri() click to toggle source

Returns the `Atom` `URI` W3C Namespace

    # File lib/rss/atom.rb, line 41
    def required_uri
      URI
    end